Coin: SbVec2i32 Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Protected Attributes | Related Symbols | List of all members
SbVec2i32 Class Reference
Base Classes

The SbVec2i32 class is a 2 dimensional vector with 32-bit signed integer coordinates. More...

`#include <Inventor/SbVec2i32.h>`

## Public Member Functions
| SbVec2i32 (void)
| SbVec2i32 (const int32_t v[2])
| SbVec2i32 (int32_t x, int32_t y)
| SbVec2i32 (const SbVec2ui32 &v)
| SbVec2i32 (const SbVec2b &v)
| SbVec2i32 (const SbVec2s &v)
| SbVec2i32 (const SbVec2f &v)
| SbVec2i32 (const SbVec2d &v)
SbVec2i32 & | setValue (const int32_t v[2])
SbVec2i32 & | setValue (int32_t x, int32_t y)
SbVec2i32 & | setValue (const SbVec2ui32 &v)
SbVec2i32 & | setValue (const SbVec2b &v)
SbVec2i32 & | setValue (const SbVec2s &v)
SbVec2i32 & | setValue (const SbVec2f &v)
SbVec2i32 & | setValue (const SbVec2d &v)
const int32_t * | getValue (void) const
void | getValue (int32_t &x, int32_t &y) const
int32_t & | operator[] (const int i)
const int32_t & | operator[] (const int i) const
int32_t | dot (const SbVec2i32 &v) const
void | negate (void)
SbVec2i32 & | operator*= (int d)
SbVec2i32 & | operator*= (double d)
SbVec2i32 & | operator/= (int d)
SbVec2i32 & | operator/= (double d)
SbVec2i32 & | operator+= (const SbVec2i32 &v)
SbVec2i32 & | operator-= (const SbVec2i32 &v)
SbVec2i32 | operator- (void) const
void | print (FILE *fp) const

## Protected Attributes
int32_t | vec [2]

## Related Symbols
(Note that these are not member symbols.)
SbVec2i32 | operator* (const SbVec2i32 &v, int d)
SbVec2i32 | operator* (const SbVec2i32 &v, double d)
SbVec2i32 | operator* (int d, const SbVec2i32 &v)
SbVec2i32 | operator* (double d, const SbVec2i32 &v)
SbVec2i32 | operator/ (const SbVec2i32 &v, int d)
SbVec2i32 | operator/ (const SbVec2i32 &v, double d)
SbVec2i32 | operator+ (const SbVec2i32 &v1, const SbVec2i32 &v2)
SbVec2i32 | operator- (const SbVec2i32 &v1, const SbVec2i32 &v2)
int | operator== (const SbVec2i32 &v1, const SbVec2i32 &v2)
int | operator!= (const SbVec2i32 &v1, const SbVec2i32 &v2)

## Detailed Description

The SbVec2i32 class is a 2 dimensional vector with 32-bit signed integer coordinates.

This vector class is used by many other classes in Coin. It provides storage for a vector in 2 dimensions as well as simple integer arithmetic operations.

See also
  SbVec2f, SbVec2d, SbVec3s, SbVec3f, SbVec3d, SbVec4f, SbVec4d.

## Constructor & Destructor Documentation

## ◆ SbVec2i32() [1/8]

SbVec2i32::SbVec2i32 | ( | void |  | ) |
| inline

The default constructor does nothing. The vector coordinates will be uninitialized until you do a setValue().

## ◆ SbVec2i32() [2/8]

SbVec2i32::SbVec2i32 | ( | const int32_t | v[2] | ) |
| inline

Constructs an SbVec2i32 instance with initial values from v.

## ◆ SbVec2i32() [3/8]

SbVec2i32::SbVec2i32 | ( | int32_t | x,
|  | int32_t | y )
| inline

Constructs an SbVec2i32 instance with the initial vector endpoints from x and y.

## ◆ SbVec2i32() [4/8]

SbVec2i32::SbVec2i32 | ( | const SbVec2ui32 & | v | ) |
| inlineexplicit

Since
  Coin 2.5

## ◆ SbVec2i32() [5/8]

SbVec2i32::SbVec2i32 | ( | const SbVec2b & | v | ) |
| inlineexplicit

Since
  Coin 2.5

## ◆ SbVec2i32() [6/8]

SbVec2i32::SbVec2i32 | ( | const SbVec2s & | v | ) |
| inlineexplicit

Since
  Coin 2.5

## ◆ SbVec2i32() [7/8]

SbVec2i32::SbVec2i32 | ( | const SbVec2f & | v | ) |
| inlineexplicit

Since
  Coin 2.5

## ◆ SbVec2i32() [8/8]

SbVec2i32::SbVec2i32 | ( | const SbVec2d & | v | ) |
| inlineexplicit

Since
  Coin 2.5

## Member Function Documentation

## ◆ setValue() [1/7]

SbVec2i32 & SbVec2i32::setValue | ( | const int32_t | v[2] | ) |
| inline

Set new x and y coordinates for the vector from v. Returns reference to self.

See also
  getValue().

## ◆ setValue() [2/7]

SbVec2i32 & SbVec2i32::setValue | ( | int32_t | x,
|  | int32_t | y )
| inline

Set new x and y coordinates for the vector. Returns reference to self.

See also
  getValue().

## ◆ setValue() [3/7]

SbVec2i32 & SbVec2i32::setValue | ( | const SbVec2ui32 & | v | ) |

Since
  Coin 2.5

## ◆ setValue() [4/7]

SbVec2i32 & SbVec2i32::setValue | ( | const SbVec2b & | v | ) |

Since
  Coin 2.5

## ◆ setValue() [5/7]

SbVec2i32 & SbVec2i32::setValue | ( | const SbVec2s & | v | ) |

Since
  Coin 2.5

## ◆ setValue() [6/7]

SbVec2i32 & SbVec2i32::setValue | ( | const SbVec2f & | v | ) |

Since
  Coin 2.5

## ◆ setValue() [7/7]

SbVec2i32 & SbVec2i32::setValue | ( | const SbVec2d & | v | ) |

Since
  Coin 2.5

## ◆ getValue() [1/2]

const int32_t * SbVec2i32::getValue | ( | void |  | ) | const
| inline

Returns a pointer to an array of two floats containing the x and y coordinates of the vector.

See also
  setValue().

## ◆ getValue() [2/2]

void SbVec2i32::getValue | ( | int32_t & | x,
|  | int32_t & | y ) const
| inline

Returns the x and y coordinates of the vector.

See also
  setValue().

## ◆ operator[]() [1/2]

int32_t & SbVec2i32::operator[] | ( | const int | i | ) |
| inline

Index operator. Returns modifiable x or y coordinate.

See also
  getValue() and setValue().

## ◆ operator[]() [2/2]

const int32_t & SbVec2i32::operator[] | ( | const int | i | ) | const
| inline

Index operator. Returns x or y coordinate.

See also
  getValue().

## ◆ dot()

int32_t SbVec2i32::dot | ( | const SbVec2i32 & | v | ) | const
| inline

Calculates and returns the result of taking the dot product of this vector and v.

## ◆ negate()

void SbVec2i32::negate | ( | void |  | ) |
| inline

Negate the vector (i.e. point it in the opposite direction).

## ◆ operator*=() [1/2]

SbVec2i32 & SbVec2i32::operator*= | ( | int | d | ) |
| inline

Multiply components of vector with value d. Returns reference to self.

## ◆ operator*=() [2/2]

SbVec2i32 & SbVec2i32::operator*= | ( | double | d | ) |

Multiply components of vector with value d. Returns reference to self.

## ◆ operator/=() [1/2]

SbVec2i32 & SbVec2i32::operator/= | ( | int | d | ) |
| inline

Divides components of vector with value d. Returns reference to self.

## ◆ operator/=() [2/2]

SbVec2i32 & SbVec2i32::operator/= | ( | double | d | ) |
| inline

Divides components of vector with value d. Returns reference to self.

## ◆ operator+=()

SbVec2i32 & SbVec2i32::operator+= | ( | const SbVec2i32 & | v | ) |
| inline

Adds this vector and vector v. Returns reference to self.

## ◆ operator-=()

SbVec2i32 & SbVec2i32::operator-= | ( | const SbVec2i32 & | v | ) |
| inline

Subtracts vector u from this vector. Returns reference to self.

## ◆ operator-()

SbVec2i32 SbVec2i32::operator- | ( | void |  | ) | const
| inline

Non-destructive negation operator. Returns a new SbVec2i32 instance which points in the opposite direction of this vector.

See also
  negate().

## ◆ print()

void SbVec2i32::print | ( | FILE * | fp | ) | const

Dump the state of this object to the fp file stream. Only works in debug version of library, method does nothing in an optimized build.

## Friends And Related Symbol Documentation

## ◆ operator*() [1/4]

SbVec2i32 operator* | ( | const SbVec2i32 & | v,
|  | int | d )
| related

Returns an SbVec2i32 instance which is the components of vector v multiplied with d.

## ◆ operator*() [2/4]

SbVec2i32 operator* | ( | const SbVec2i32 & | v,
|  | double | d )
| related

Returns an SbVec2i32 instance which is the components of vector v multiplied with d.

## ◆ operator*() [3/4]

SbVec2i32 operator* | ( | int | d,
|  | const SbVec2i32 & | v )
| related

Returns an SbVec2i32 instance which is the components of vector v multiplied with d.

## ◆ operator*() [4/4]

SbVec2i32 operator* | ( | double | d,
|  | const SbVec2i32 & | v )
| related

Returns an SbVec2i32 instance which is the components of vector v multiplied with d.

## ◆ operator/() [1/2]

SbVec2i32 operator/ | ( | const SbVec2i32 & | v,
|  | int | d )
| related

Returns an SbVec2i32 instance which is the components of vector v divided on d.

## ◆ operator/() [2/2]

SbVec2i32 operator/ | ( | const SbVec2i32 & | v,
|  | double | d )
| related

Returns an SbVec2i32 instance which is the components of vector v divided on d.

## ◆ operator+()

SbVec2i32 operator+ | ( | const SbVec2i32 & | v1,
|  | const SbVec2i32 & | v2 )
| related

Returns an SbVec2i32 instance which is the sum of vectors v1 and v2.

## ◆ operator-()

SbVec2i32 operator- | ( | const SbVec2i32 & | v1,
|  | const SbVec2i32 & | v2 )
| related

Returns an SbVec2i32 instance which is vector v2 subtracted from vector v1.

## ◆ operator==()

int operator== | ( | const SbVec2i32 & | v1,
|  | const SbVec2i32 & | v2 )
| related

Returns 1 if v1 and v2 are equal, 0 otherwise.

## ◆ operator!=()

int operator!= | ( | const SbVec2i32 & | v1,
|  | const SbVec2i32 & | v2 )
| related

Returns 1 if v1 and v2 are not equal, 0 if they are equal.

The documentation for this class was generated from the following files:

- SbVec2i32.h
- SbVec2i32.cpp